org.apache.hadoop.security

## Class AuthenticationFilterInitializer

- java.lang.Object
- - org.apache.hadoop.http.FilterInitializer
  - - org.apache.hadoop.security.AuthenticationFilterInitializer

-     public class AuthenticationFilterInitializer
      extends FilterInitializer

  Initializes hadoop-auth AuthenticationFilter which provides support for Kerberos HTTP SPNEGO authentication.

  It enables anonymous access, simple/speudo and Kerberos HTTP SPNEGO authentication for Hadoop JobTracker, NameNode, DataNodes and TaskTrackers.

  Refer to the `core-default.xml` file, after the comment 'HTTP Authentication' for details on the configuration options. All related configuration properties have 'hadoop.http.authentication.' as prefix.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationFilterInitializer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,String>` | `getFilterConfigMap(Configuration conf, String prefix)`
    `void` | `initFilter(FilterContainer container, Configuration conf)` Initializes hadoop-auth AuthenticationFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationFilterInitializer

          public AuthenticationFilterInitializer()

  - ### Method Detail

    - #### initFilter

          public void initFilter(FilterContainer container,
                                 Configuration conf)

      Initializes hadoop-auth AuthenticationFilter.

      Propagates to hadoop-auth AuthenticationFilter configuration all Hadoop configuration properties prefixed with "hadoop.http.authentication."
      Specified by:
        `initFilter` in class `FilterInitializer`
      Parameters:
        `container` - The filter container
        `conf` - Configuration for run-time parameters

    - #### getFilterConfigMap

          public static Map<String,String> getFilterConfigMap(Configuration conf,
                                                              String prefix)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.